Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Class WebApplication

    java.lang.Object
      |
      +--org.jboss.web.WebApplication

public class WebApplication
extends java.lang.Object

A WebApplication represents the information for a war deployment.

Version:
  $Revision: 1.2 $
Author:
  Scott_Stark@displayscape.com
See Also:
  `AbstractWebContainer`

Constructor Summary
`WebApplication()` Create an empty WebApplication instance
`WebApplication(java.lang.String name, java.net.URL url, java.lang.ClassLoader classLoader)` Create a WebApplication instance with with given name, url and class loader.

Method Summary
`java.lang.Object` | `getAppData()`
`java.lang.ClassLoader` | `getClassLoader()` Get the class loader of this WebApplication.
`org.w3c.dom.Element` | `getJbossWeb()` Getter for property jbossWeb.
`java.lang.String` | `getName()` Get the name of this WebApplication.
`java.net.URL` | `getURL()` Get the URL from which this WebApplication was deployed
`org.w3c.dom.Element` | `getWebApp()` Getter for property webApp.
`void` | `setAppData(java.lang.Object data)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)` Set the class loader of this WebApplication.
`void` | `setJbossWeb(org.w3c.dom.Element jbossWeb)` Setter for property jbossWeb.
`void` | `setName(java.lang.String name)` Set the name of this WebApplication.
`void` | `setURL(java.net.URL url)` Set the URL from which this WebApplication was deployed
`void` | `setWebApp(org.w3c.dom.Element webApp)` Setter for property webApp.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebApplication

    public WebApplication()

  Create an empty WebApplication instance

### WebApplication

    public WebApplication(java.lang.String name,
                          java.net.URL url,
                          java.lang.ClassLoader classLoader)

  Create a WebApplication instance with with given name, url and class loader.
  Parameters:
    `name,` - name of this application
    `url,` - url where this application was deployed from
    `classLoader,` - Class loader of this application

Method Detail

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Get the class loader of this WebApplication.
  Returns:
    The ClassLoader instance of the web application

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

  Set the class loader of this WebApplication.
  Parameters:
    `classLoader,` - The ClassLoader instance for the web application

### getName

    public java.lang.String getName()

  Get the name of this WebApplication.
  Returns:
    String name of the web application

### setName

    public void setName(java.lang.String name)

  Set the name of this WebApplication.
  Parameters:
    `String` - name of the web application

### getURL

    public java.net.URL getURL()

  Get the URL from which this WebApplication was deployed
  Returns:
    URL where this application was deployed from

### setURL

    public void setURL(java.net.URL url)

  Set the URL from which this WebApplication was deployed
  Parameters:
    `url,` - URL where this application was deployed from

### getWebApp

    public org.w3c.dom.Element getWebApp()

  Getter for property webApp.
  Returns:
    Value of property webApp.

### setWebApp

    public void setWebApp(org.w3c.dom.Element webApp)

  Setter for property webApp.
  Parameters:
    `webApp` - New value of property webApp.

### getJbossWeb

    public org.w3c.dom.Element getJbossWeb()

  Getter for property jbossWeb.
  Returns:
    Value of property jbossWeb.

### setJbossWeb

    public void setJbossWeb(org.w3c.dom.Element jbossWeb)

  Setter for property jbossWeb.
  Parameters:
    `jbossWeb` - New value of property jbossWeb.

### getAppData

    public java.lang.Object getAppData()

### setAppData

    public void setAppData(java.lang.Object data)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.